<#
.SYNOPSIS
File:         GPOPassEncrypter.ps1
System:       vistrax
Component:    
Version:      0.1.0

Legal:        Copyright (c) CONZE Informatik GmbH
              All other rights reserved.
.Description
This script generates an encrypted password for vistrax databases.
STILL IN DEVELOPMENT
#>

# ----------------------------------------------------------------------------
# Parameter
# ----------------------------------------------------------------------------

[CmdletBinding()]
param(
    #password to encrypt
    [String] $password
)
#Check if vistrax Admin is installed
$64bitRegistryPath = ({WOW6432Node\},{})[![System.Environment]::Is64BitOperatingSystem]
$adminInstalledSettings = (Get-ItemProperty  "Registry::HKEY_LOCAL_MACHINE\SOFTWARE\$64bitRegistryPath`CONZE Informatik\vistraxAdmin\settings" -ErrorAction SilentlyContinue) #not null if vistraxAdmin is installed   
if (!$adminInstalledSettings)
{
    #if not installed, generate error-output
    Write-Output "ERROR: vistraxAdmin.exe cannot be found."
}
else
{    
    #if installed, locate vistrax Admin and call the cryptpassword function
    $adminPath = (Get-ItemProperty "Registry::HKEY_LOCAL_MACHINE\SOFTWARE\$64bitRegistryPath`CONZE Informatik\vistrax").Path
    & (Join-Path -Path $adminPath -ChildPath "vistraxAdmin\vistraxAdmin.exe")  -cryptpassword:$password
}

